Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.io
Interface MarshalBuffer.BlockGenerator

Enclosing class:
  MarshalBuffer

public static interface MarshalBuffer.BlockGenerator

Interface BlockGenerator.

Method Summary
`void` | `endBlock(byte[] buf, int pos, int len, int length, java.lang.Object cookie)` Called when endBlock operation is called.
`void` | `fragmentBlock(byte[] buf, int pos, int len, int length, MarshalBuffer buffer, java.lang.Object cookie)` Called when fragment is called and a block will be fragmented.

Method Detail

### endBlock

    public void endBlock(byte[] buf,
                         int pos,
                         int len,
                         int length,
                         java.lang.Object cookie)

  Called when endBlock operation is called.
  Parameters:
    `buf` - buffer containing the reserved bytes. Not all of the buffer is considered to be read-write.
    `pos` - offset into buf of first modifiable byte.
    `len` - length of modifiable bytes.
    `length` - length in bytes between the position that beginBlock was called and the end of the block.
    `cookie` - the cookie passed to the addHeader operation.

### fragmentBlock

    public void fragmentBlock(byte[] buf,
                              int pos,
                              int len,
                              int length,
                              MarshalBuffer buffer,
                              java.lang.Object cookie)

  Called when fragment is called and a block will be fragmented. Writes may be made to the MarshalBuffer, including begining a new block.
  Parameters:
    `buf` - buffer containing the reserved bytes. Not all of the buffer is considered to be read-write.
    `pos` - offset into buf of first modifiable byte.
    `len` - length of modifiable bytes.
    `length` - length in bytes between the position that beginBlock was called and the end of the block.
    `buffer` - the marshal buffer.
    `cookie` - the cookie passed to the addHeader operation.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD